Subject: Re: bug#74395: 'mumi send-email' fails to detect created issue number

From: Arun Isaac <[email-masked]>
Date: Thu, 13 Feb 2025 22:21:25 +0000

> It sounds like a fun fix to come up with, but I'm already swamped trying
> ot finish tens of unfinished things, so by all means, go ahead if you
> have time/interest in fixing it!

Sure, happy to work on this! I have some spare capacity at the moment
and this is very important to make `mumi send-email' more usable.

> Some thoughts I had:
>
> Not sure if rsync produces some kind of lock file while they're busy
> updating the tree; if they do it could be useful to avoid re-indexing
> while it's actively syncing.
>
> It would be even nicer to send some signal to mumi when rsync completes,
> which would notify it to re-index.
>
> Other things that may be useful: inotify to keep track of new/updated
> files.

All good leads to look into. Thanks! Will keep you posted here.